# Currency API REST 2.0 Currency API. **Version:** 3.4.0 ## Servers - `https://api-sandbox.nuvei.com/currency-api` — sandbox - `https://api.nuvei.com/currency-api` — prod ## Tags - **Currency Conversion** ## Security Schemes ### accessToken - Type: `http` - Scheme: `bearer` - Bearer Format: `JWT` ### apiKey - Type: `apiKey` - In: `header` - Header/Param Name: `X-API-KEY` ## Paths ### `/currencies/entities/{processing-entity-id}/rates` #### GET **Summary:** Retrieve rate details. Retrieves the rate details of a given processing entity according to the provided set of parameters. **Operation ID:** `getCurrencyRates` **Tags:** Currency Conversion **Security:** accessToken OR apiKey **Parameters:** | Name | In | Type | Required | Description | |------|----|------|----------|-------------| | `processing-entity-id` | path | EntityIdType | Yes | ID of Processing Entity. | | `from_currency` | query | Currency | Yes | Mandatory. Single value. The original merchant currency. | | `to_currencies` | query | Currencies | No | Optional. The list of target currencies, separated by commas. If not supplied, all the merchant site-related currencies are retrieved. | | `payment_methods` | query | PaymentMethods | Yes | Mandatory. A comma-separated list of payment method names. | | `rate_type` | query | RateType | No | The Values are: payment (default), payout (brings Visa rates), masterCardpayout (brings MC rates) | **Responses:** - **200** — OK - Content-Type: `application/json` **Schema:** `RatesResponse` Returns a collection of rates for the current date. - **rates** — (`Rates`) — _array_ — Collection of result rates for the rates. An array of complex items, each array item is a collection of values. - **items** — (`Rate`) — _object_ — Collections of attributes for a single rate item in the result of rates. - **paymentMethod** — (`PaymentMethod`) — _string_ — The name of the payment method. 'CARD' for credit cards; other names for alternative payment methods. - **fromCurrency** — (`Currency`) — _string_ — **required** — The [3-letter ISO currency code](https://docs.nuvei.com/?p=8513#currency-codes). - **toCurrency** — (`Currency`) — _string_ — **required** — The [3-letter ISO currency code](https://docs.nuvei.com/?p=8513#currency-codes). - **rate** — (`RateValue`) — _number_ — **required** — example: `2.48590452` — A value of rate. May have many digits after decimal point. - **rateType** — (`RateType`) — _string_ — enum: `payment`, `payout`, `masterCardPayout` — default: `"payment"` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `error`, `success` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **400** — Bad Request - Content-Type: `application/json` **Schema:** `RatesResponse` Returns a collection of rates for the current date. - **rates** — (`Rates`) — _array_ — Collection of result rates for the rates. An array of complex items, each array item is a collection of values. - **items** — (`Rate`) — _object_ — Collections of attributes for a single rate item in the result of rates. - **paymentMethod** — (`PaymentMethod`) — _string_ — The name of the payment method. 'CARD' for credit cards; other names for alternative payment methods. - **fromCurrency** — (`Currency`) — _string_ — **required** — The [3-letter ISO currency code](https://docs.nuvei.com/?p=8513#currency-codes). - **toCurrency** — (`Currency`) — _string_ — **required** — The [3-letter ISO currency code](https://docs.nuvei.com/?p=8513#currency-codes). - **rate** — (`RateValue`) — _number_ — **required** — example: `2.48590452` — A value of rate. May have many digits after decimal point. - **rateType** — (`RateType`) — _string_ — enum: `payment`, `payout`, `masterCardPayout` — default: `"payment"` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `error`, `success` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **401** — Unauthorized - Content-Type: `application/json` **Schema:** `RatesResponse` Returns a collection of rates for the current date. - **rates** — (`Rates`) — _array_ — Collection of result rates for the rates. An array of complex items, each array item is a collection of values. - **items** — (`Rate`) — _object_ — Collections of attributes for a single rate item in the result of rates. - **paymentMethod** — (`PaymentMethod`) — _string_ — The name of the payment method. 'CARD' for credit cards; other names for alternative payment methods. - **fromCurrency** — (`Currency`) — _string_ — **required** — The [3-letter ISO currency code](https://docs.nuvei.com/?p=8513#currency-codes). - **toCurrency** — (`Currency`) — _string_ — **required** — The [3-letter ISO currency code](https://docs.nuvei.com/?p=8513#currency-codes). - **rate** — (`RateValue`) — _number_ — **required** — example: `2.48590452` — A value of rate. May have many digits after decimal point. - **rateType** — (`RateType`) — _string_ — enum: `payment`, `payout`, `masterCardPayout` — default: `"payment"` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `error`, `success` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **403** — Forbidden - Content-Type: `application/json` **Schema:** `RatesResponse` Returns a collection of rates for the current date. - **rates** — (`Rates`) — _array_ — Collection of result rates for the rates. An array of complex items, each array item is a collection of values. - **items** — (`Rate`) — _object_ — Collections of attributes for a single rate item in the result of rates. - **paymentMethod** — (`PaymentMethod`) — _string_ — The name of the payment method. 'CARD' for credit cards; other names for alternative payment methods. - **fromCurrency** — (`Currency`) — _string_ — **required** — The [3-letter ISO currency code](https://docs.nuvei.com/?p=8513#currency-codes). - **toCurrency** — (`Currency`) — _string_ — **required** — The [3-letter ISO currency code](https://docs.nuvei.com/?p=8513#currency-codes). - **rate** — (`RateValue`) — _number_ — **required** — example: `2.48590452` — A value of rate. May have many digits after decimal point. - **rateType** — (`RateType`) — _string_ — enum: `payment`, `payout`, `masterCardPayout` — default: `"payment"` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `error`, `success` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **404** — Not Found - Content-Type: `application/json` **Schema:** `RatesResponse` Returns a collection of rates for the current date. - **rates** — (`Rates`) — _array_ — Collection of result rates for the rates. An array of complex items, each array item is a collection of values. - **items** — (`Rate`) — _object_ — Collections of attributes for a single rate item in the result of rates. - **paymentMethod** — (`PaymentMethod`) — _string_ — The name of the payment method. 'CARD' for credit cards; other names for alternative payment methods. - **fromCurrency** — (`Currency`) — _string_ — **required** — The [3-letter ISO currency code](https://docs.nuvei.com/?p=8513#currency-codes). - **toCurrency** — (`Currency`) — _string_ — **required** — The [3-letter ISO currency code](https://docs.nuvei.com/?p=8513#currency-codes). - **rate** — (`RateValue`) — _number_ — **required** — example: `2.48590452` — A value of rate. May have many digits after decimal point. - **rateType** — (`RateType`) — _string_ — enum: `payment`, `payout`, `masterCardPayout` — default: `"payment"` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `error`, `success` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **500** — Internal Server Error - Content-Type: `application/json` **Schema:** `RatesResponse` Returns a collection of rates for the current date. - **rates** — (`Rates`) — _array_ — Collection of result rates for the rates. An array of complex items, each array item is a collection of values. - **items** — (`Rate`) — _object_ — Collections of attributes for a single rate item in the result of rates. - **paymentMethod** — (`PaymentMethod`) — _string_ — The name of the payment method. 'CARD' for credit cards; other names for alternative payment methods. - **fromCurrency** — (`Currency`) — _string_ — **required** — The [3-letter ISO currency code](https://docs.nuvei.com/?p=8513#currency-codes). - **toCurrency** — (`Currency`) — _string_ — **required** — The [3-letter ISO currency code](https://docs.nuvei.com/?p=8513#currency-codes). - **rate** — (`RateValue`) — _number_ — **required** — example: `2.48590452` — A value of rate. May have many digits after decimal point. - **rateType** — (`RateType`) — _string_ — enum: `payment`, `payout`, `masterCardPayout` — default: `"payment"` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `error`, `success` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting